-- File-Revision: 24
-- Range Checker


function rangeCheck_OnUpdate (self, elapsed)
  local icon = self.icon
  
	self.rangeTimer = self.rangeTimer - elapsed
  
	if rangeTimer > 0 then
		return;
	end
	self.rangeTimer = TOOLTIP_UPDATE_TIME;

    local valid = IsActionInRange(self.action);
    if ( valid == 0) then
      self.icon:SetVertexColor(1.0,0.1,0.1);
    else
      local isUsable, notEnoughMana = IsUsableAction(self.action);
      if ( isUsable ) then
        icon:SetVertexColor(1.0, 1.0, 1.0);
      elseif ( notEnoughMana ) then
        icon:SetVertexColor(0.5, 0.5, 1.0);
      else
        icon:SetVertexColor(0.4, 0.4, 0.4);
      end
    end
    local hotkey = _G[self:GetName().."HotKey"];
    if ( hotkey:GetText() == RANGE_INDICATOR ) then
      hotkey:Hide();
    else
      hotkey:SetVertexColor(1.0, 1.0, 1.0);
    end
end

do 
  hooksecurefunc("ActionButton_OnUpdate",rangeCheck_OnUpdate);
end